Kubernetes
action CPU, Memory

# delete_stressor

Remove a stressor

Run it now
View details

Type | action
Module | chaosk8s.chaosmesh.stress.actions
Name | stress_memory
Return | mapping

Usage

JSON

    {
      "name": "delete-stressor",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.chaosmesh.stress.actions",
        "func": "delete_stressor",
        "arguments": {
          "name": ""
        }
      }
    }

YAML

    name: delete-stressor
    provider:
      arguments:
        name: ''
      func: delete_stressor
      module: chaosk8s.chaosmesh.stress.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
name | string |  | Yes | Name | A unique name identifying a particular fault
ns | string | default | No | Namespace | Namespace where to remove the fault from

Signature

    def delete_stressor(
            name: str,
            ns: str = 'default',
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Kubernetes
  probe CPU, Memory

  ## `get_stressor`

  Get a stressor
- Kubernetes
  probe CPU, Memory

  ## `get_stressors`

  List all stressors
- Kubernetes
  action CRD

  ## `create_cluster_custom_object`

  Create a cluster wide custom object